- Cal3D 0.11 API Reference -

Classes | Public Member Functions | List of all members
CalCoreMaterial Class Reference
Inheritance diagram for CalCoreMaterial:

## Classes

struct | Color
struct | Map

## Public Member Functions

Color & | getAmbientColor ()
| Returns the ambient color.
Color & | getDiffuseColor ()
| Returns the diffuse color.
int | getMapCount ()
| Returns the number of maps.
const std::string & | getMapFilename (int mapId)
| Returns a specified map texture filename.
Cal::UserData | getMapUserData (int mapId)
| Provides access to a specified map user data.
float | getShininess ()
| Returns the shininess factor.
Color & | getSpecularColor ()
| Returns the specular color.
Cal::UserData | getUserData ()
| Provides access to the user data.
std::vector< Map > & | getVectorMap ()
| Returns the map vector.
bool | reserve (int mapCount)
| Reserves memory for the maps.
void | setAmbientColor (const Color &ambientColor)
| Sets the ambient color.
void | setDiffuseColor (const Color &diffuseColor)
| Sets the diffuse color.
bool | setMap (int mapId, const Map &map)
| Sets a specified map.
bool | setMapUserData (int mapId, Cal::UserData userData)
| Stores specified map user data.
void | setShininess (float shininess)
| Sets the shininess factor.
void | setSpecularColor (const Color &specularColor)
| Sets the specular color.
void | setFilename (const std::string &filename)
| Set the name of the file in which the core material is stored, if any.
const std::string & | getFilename (void)
| Get the name of the file in which the core material is stored, if any.
void | setName (const std::string &name)
| Set the symbolic name of the core material.
const std::string & | getName (void)
| Get the symbolic name the core material.
void | setUserData (Cal::UserData userData)
| Stores user data.
Public Member Functions inherited from cal3d::RefCounted
int | getRefCount () const

## Additional Inherited Members

Protected Member Functions inherited from cal3d::RefCounted
virtual | ~RefCounted ()
| Protected so users of refcounted classes don't use std::auto_ptr or the delete operator.

## Member Function Documentation

## ◆ getAmbientColor()

CalCoreMaterial::Color & CalCoreMaterial::getAmbientColor | ( |  | ) |

Returns the ambient color.

This function returns the ambient color of the core material instance.

Returns
  A reference to the ambient color.

## ◆ getDiffuseColor()

CalCoreMaterial::Color & CalCoreMaterial::getDiffuseColor | ( |  | ) |

Returns the diffuse color.

This function returns the diffuse color of the core material instance.

Returns
  A reference to the diffuse color.

## ◆ getFilename()

const std::string & CalCoreMaterial::getFilename | ( | void |  | ) |

Get the name of the file in which the core material is stored, if any.

Returns
  One of the following values:
  - empty string if the material was not stored in a file
  - the path of the file

## ◆ getMapCount()

int CalCoreMaterial::getMapCount | ( |  | ) |

Returns the number of maps.

This function returns the number of mapss in the core material instance.

Returns
  The number of maps.

## ◆ getMapFilename()

const std::string & CalCoreMaterial::getMapFilename | ( | int | mapId | ) |

Returns a specified map texture filename.

This function returns the texture filename for a specified map ID of the core material instance.

Parameters

  mapId | The ID of the map.

Returns
  One of the following values:
  - the filename of the map texture
  - an empty string if an error happend

## ◆ getMapUserData()

Cal::UserData CalCoreMaterial::getMapUserData | ( | int | mapId | ) |

Provides access to a specified map user data.

This function returns the user data stored in the specified map of the core material instance.

Parameters

  mapId | The ID of the map.

Returns
  One of the following values:
  - the user data stored in the specified map
  - 0 if an error happend

## ◆ getName()

const std::string & CalCoreMaterial::getName | ( | void |  | ) |

Get the symbolic name the core material.

Returns
  One of the following values:
  - empty string if the material was no associated to a symbolic name
  - the symbolic name

## ◆ getShininess()

float CalCoreMaterial::getShininess | ( |  | ) |

Returns the shininess factor.

This function returns the shininess factor of the core material instance.

Returns
  The shininess factor.

## ◆ getSpecularColor()

CalCoreMaterial::Color & CalCoreMaterial::getSpecularColor | ( |  | ) |

Returns the specular color.

This function returns the specular color of the core material instance.

Returns
  A reference to the specular color.

## ◆ getUserData()

Cal::UserData CalCoreMaterial::getUserData | ( |  | ) |

Provides access to the user data.

This function returns the user data stored in the core material instance.

Returns
  The user data stored in the core material instance.

## ◆ getVectorMap()

std::vector< CalCoreMaterial::Map > & CalCoreMaterial::getVectorMap | ( |  | ) |

Returns the map vector.

This function returns the vector that contains all maps of the core material instance.

Returns
  A reference to the map vector.

## ◆ reserve()

bool CalCoreMaterial::reserve | ( | int | mapCount | ) |

Reserves memory for the maps.

This function reserves memory for the maps of the core material instance.

Parameters

  mapCount | The number of maps that this core material instance should be able to hold.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ setAmbientColor()

void CalCoreMaterial::setAmbientColor | ( | const Color & | ambientColor | ) |

Sets the ambient color.

This function sets the ambient color of the core material instance.

Parameters

  ambientColor | The ambient color that should be set.

## ◆ setDiffuseColor()

void CalCoreMaterial::setDiffuseColor | ( | const Color & | diffuseColor | ) |

Sets the diffuse color.

This function sets the diffuse color of the core material instance.

Parameters

  ambientColor | The diffuse color that should be set.

## ◆ setFilename()

void CalCoreMaterial::setFilename | ( | const std::string & | filename | ) |

Set the name of the file in which the core material is stored, if any.

Parameters

  filename | The path of the file.

## ◆ setMap()

bool CalCoreMaterial::setMap | ( | int | mapId,
|  | const Map & | map )

Sets a specified map.

This function sets a specified map in the core material instance.

Parameters

  mapId | The ID of the map.
  map | The map that should be set.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ setMapUserData()

bool CalCoreMaterial::setMapUserData | ( | int | mapId,
|  | Cal::UserData | userData )

Stores specified map user data.

This function stores user data in a specified map of the core material instance.

Parameters

  mapId | The ID of the map.
  userData | The user data that should be stored.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ setName()

void CalCoreMaterial::setName | ( | const std::string & | name | ) |

Set the symbolic name of the core material.

Parameters

  name | A symbolic name.

## ◆ setShininess()

void CalCoreMaterial::setShininess | ( | float | shininess | ) |

Sets the shininess factor.

This function sets the shininess factor of the core material instance.

Parameters

  shininess | The shininess factor that should be set.

## ◆ setSpecularColor()

void CalCoreMaterial::setSpecularColor | ( | const Color & | specularColor | ) |

Sets the specular color.

This function sets the specular color of the core material instance.

Parameters

  ambientColor | The specular color that should be set.

## ◆ setUserData()

void CalCoreMaterial::setUserData | ( | Cal::UserData | userData | ) |

Stores user data.

This function stores user data in the core material instance.

Parameters

  userData | The user data that should be stored.

The documentation for this class was generated from the following files:

- corematerial.h
- corematerial.cpp

Generated by The Cal3D Team with Doxygen 1.15.0